# Uses of Enum Class
java.nio.file.attribute.PosixFilePermission

Packages that use PosixFilePermission
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.

## Uses of PosixFilePermission in java.nio.file

Methods in java.nio.file that return types with arguments of type PosixFilePermission
Modifier and Type
Method
Description
`static Set<PosixFilePermission>`
Files.`getPosixFilePermissions​(Path path, LinkOption... options)`
Returns a file's POSIX file permissions.
Method parameters in java.nio.file with type arguments of type PosixFilePermission
Modifier and Type
Method
Description
`static Path`
Files.`setPosixFilePermissions​(Path path, Set<PosixFilePermission> perms)`
Sets a file's POSIX permissions.

## Uses of PosixFilePermission in java.nio.file.attribute

Methods in java.nio.file.attribute that return PosixFilePermission
Modifier and Type
Method
Description
`static PosixFilePermission`
PosixFilePermission.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static PosixFilePermission[]`
PosixFilePermission.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.nio.file.attribute that return types with arguments of type PosixFilePermission
Modifier and Type
Method
Description
`static FileAttribute<Set<PosixFilePermission>>`
PosixFilePermissions.`asFileAttribute​(Set<PosixFilePermission> perms)`
Creates a `FileAttribute`, encapsulating a copy of the given file permissions, suitable for passing to the `createFile` or `createDirectory` methods.
`static Set<PosixFilePermission>`
PosixFilePermissions.`fromString​(String perms)`
Returns the set of permissions corresponding to a given `String` representation.
`Set<PosixFilePermission>`
PosixFileAttributes.`permissions()`
Returns the permissions of the file.
Method parameters in java.nio.file.attribute with type arguments of type PosixFilePermission
Modifier and Type
Method
Description
`static FileAttribute<Set<PosixFilePermission>>`
PosixFilePermissions.`asFileAttribute​(Set<PosixFilePermission> perms)`
Creates a `FileAttribute`, encapsulating a copy of the given file permissions, suitable for passing to the `createFile` or `createDirectory` methods.
`void`
PosixFileAttributeView.`setPermissions​(Set<PosixFilePermission> perms)`
Updates the file permissions.
`static String`
PosixFilePermissions.`toString​(Set<PosixFilePermission> perms)`
Returns the `String` representation of a set of permissions.